return {
    'nvim-treesitter/nvim-treesitter',
    build = ":TSUpdate",
    opts = {
        ensure_installed = { "cpp", "c", "lua", "vim", "dockerfile", "python", "java", "cmake", "diff", "gitcommit", "html", "css", "javascript", "json", "rust", "sql", "yaml" },
        auto_install = true,
        highlight = {
            enable = true,
            additional_vim_regex_highlighting = false,
            disable = function(lang, buf) -- Disable if file size is too big
                if lang == "ini" or lang == "markdown" then
                    return true
                end
                local max_filesize = 2000 * 1024 -- 2MB
                local ok, stats = pcall(vim.loop.fs_stat, vim.api.nvim_buf_get_name(buf))
                if ok and stats and stats.size > max_filesize then
                    return true
                end
            end,
        },
        indent = {
            enable = true
        },
    },
    config = function (_, opts)
        require("nvim-treesitter").setup(opts)
        local parser_config = require("nvim-treesitter.parsers").get_parser_configs()
        parser_config.hypr = {
            install_info = {
                url = "https://github.com/luckasRanarison/tree-sitter-hypr",
                files = { "src/parser.c" },
                branch = "master",
            },
            filetype = "hypr",
        }
    end
}
